This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 65304 - kernel-2.4.9-31.i686.rpm only sees 896MB of memory
kernel-2.4.9-31.i686.rpm only sees 896MB of memory
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
kernel-2.4.9-31.i686.rpm only sees 89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-21 14:58 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 18:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-21 14:58:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
kernel-2.4.9-31.i686.rpm only sees 896MB of memory the debug version
2.4.9-31debug sees it all 1.5GB.  I have seen this on a 2.2GHZ P4 and a 
1.2GHZ Athalon

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Loaded all errata and kernel-2.4.9-31.i686.rpm
2.Reboot you only see 986MB of 1.5GB of memory
3.Loaded the debug version an all memory shows up.
	

Additional info:
Comment 1 Arjan van de Ven 2002-05-22 04:57:55 EDT
are you very very very sure it's the i686 kernel you're using ?
(the i386 kernel has the 896 limit, the i686 kernel goes to about 4Gb)

rpm -q --qf %{arch} kernel

should tell you which kernel(s) for which architectures are installed.

Comment 2 Need Real Name 2002-05-22 19:08:43 EDT
The command did not work.

2:root@rndpcs3 /root > rpm -q --qf %{arch} kernel
error: incorrect format: missing { after %

3:root@rndpcs3 /root > uname -a
Linux rndpcs3 2.4.9-31 #1 Tue Feb 26 06:53:37 EST 2002 i686 unknown

top shows Mem:   899652K av

running the debug version 
top shows Mem:  1544412K av
Comment 3 Alan Cox 2003-06-27 18:24:35 EDT
Closing old bug about wrong kernel image

Note You need to log in before you can comment on or make changes to this bug.